<?php declare(strict_types=1);

namespace App\ServiceResults\Api\V1\CaptchaService;

use App\ServiceResults\ServiceResult;

final class Captcha extends ServiceResult
{
    public function __construct(
        private readonly string $imageBase64,
        private readonly string $imageTextBase64,
        private readonly string $key
    ) { }

    /**
     * @return string
     */
    public function getImageBase64(): string
    {
        return $this->imageBase64;
    }

    /**
     * @return string
     */
    public function getImageTextBase64(): string
    {
        return $this->imageTextBase64;
    }

    /**
     * @return string
     */
    public function getKey(): string
    {
        return $this->key;
    }
}
